Bug 1124512 - remote nexus deployment from business central failed
Summary: remote nexus deployment from business central failed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: manstis
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 16:32 UTC by Prabakar
Modified: 2015-09-01 04:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 16:13:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Prabakar 2014-07-29 16:32:34 UTC
Description of problem:
kjar deployment from business central to remote nexus repo manager not sucsess, but when I use through terminal it works and deployed to the remote repository.

Version-Release number of selected component (if applicable):
brms-6.0.2-GA

How reproducible:
Create a project in business central and deploy to remote maven nexus repo

Steps to Reproduce:
1. Create a simple rule project in business central
2. Install remote nexus repo manager in your environment
3. click the "build&deploy" button in business central

Actual results:
Not deployed to the remote nexus repository

Expected results:
It should be deployed

Additional info:
pom.xml
<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.mycom.test</groupId>
  <artifactId>projecta</artifactId>
  <version>1.2</version>
  <packaging>kjar</packaging>
  <name>projecta</name>
  <distributionManagement>
    <repository>
      <id>nexusrepo</id>
      <name>Internal Releases</name>
      <url>http://mynexusrepomanagerurl.com:8081/nexus/content/repositories/releases/</url>
    </repository>
    <snapshotRepository>
      <id>nexusrepo</id>
      <name>Internal Releases</name>
      <url>http://mynexusrepomanagerurl.com:8081/nexus/content/repositories/snapshots/</url>
    </snapshotRepository>
  </distributionManagement>
  <repositories>
    <repository>
      <id>guvnor-m2-repo</id>
      <name>Guvnor M2 Repo</name>
      <url>http://localhost:8080/business-central/maven2/</url>
    </repository>
  </repositories>
  <build>
    <plugins>
      <plugin>
        <groupId>org.kie</groupId>
        <artifactId>kie-maven-plugin</artifactId>
        <version>6.0.2-redhat-6</version>
        <extensions>true</extensions>
      </plugin>
    </plugins>
  </build>
</project>

Comment 2 manstis 2014-07-29 16:45:00 UTC
Does the server log include any errors?

Comment 3 Prabakar 2014-07-29 19:07:35 UTC
(In reply to manstis from comment #2)
> Does the server log include any errors?

no error in the server log..

Comment 4 Prabakar 2014-07-30 16:13:12 UTC
I just uninstall brms and download a new 6.0.2-GA release and seems working fine. I can able to to deploy kjar to remote maven nexus repo.


Note You need to log in before you can comment on or make changes to this bug.